Skip to main content
GET
/
v1
/
account
/
{accountSlug}
/
project
/
{projectSlug}
/
vnets
Get Virtual Environments
curl --request GET \
  --url https://api.tenderly.co/api/v1/account/{accountSlug}/project/{projectSlug}/vnets \
  --header 'X-Access-Key: <api-key>'
[
  {
    "id": "7113fe5d-bc69-475c-bfd5-a2a720c14d56",
    "created_at": "2025-03-05T13:16:57.053068Z",
    "slug": "mainnet-vnet-895ca73c-5463-4d9e-99b0-91d329d180b8",
    "display_name": "Mainnet VNet",
    "status": "running",
    "fork_config": {
      "network_id": 1,
      "block_number": "0x14f66fe"
    },
    "virtual_network_config": {
      "base_fee_per_gas": 1,
      "chain_config": {
        "chain_id": 12345
      },
      "accounts": [
        {
          "address": "0x8eC0845396287DF4393087DB3980960a20205E34"
        },
        {
          "address": "0xb1331Ac8E5bA5118d4a706721a621b668995c3F2"
        },
        {
          "address": "0xc1C3f49FF7a9959834c32f524cBD306727a1A118"
        },
        {
          "address": "0x54f28c96A6CaE1988972F4C679702D359F6E5006"
        },
        {
          "address": "0x61305B76f71Fd1ef1e640A442AF78aa8936ABFf1"
        },
        {
          "address": "0xC56d684024f86841f041e1307eafF246c2B1F2ab"
        },
        {
          "address": "0x1FB8Daa9d250D53272A25eCba531b1b0597ad736"
        },
        {
          "address": "0xAc8d39371D54DC79a8eb5aa39c9D34142Ee7e4CC"
        },
        {
          "address": "0x0fCf0d2804FafF47BC6b9680B022d10AdF4f3B8a"
        },
        {
          "address": "0x5E793A6C6dF1fE46dFfE5d915c2D37B817ab2745"
        }
      ]
    },
    "sync_state_config": {
      "enabled": true,
      "commitment_level": "latest"
    },
    "explorer_page_config": {
      "enabled": true,
      "verification_visibility": "src"
    },
    "rpcs": [
      {
        "url": "https://virtual.mainnet.rpc.tenderly.co/d4ebd179-0b69-4183-a7e5-0ccff97ae825",
        "name": "Admin RPC"
      },
      {
        "url": "wss://virtual.mainnet.rpc.tenderly.co/81ae872b-3f29-4b8b-8367-cfd89bd34433",
        "name": "Admin websocket RPC"
      },
      {
        "url": "https://virtual.mainnet.rpc.tenderly.co/d1ce85d2-e271-450e-abf9-61335263f248",
        "name": "Public RPC"
      },
      {
        "url": "wss://virtual.mainnet.rpc.tenderly.co/0195b85c-0dd6-4772-8d54-0c18e5dc6e78",
        "name": "Public websocket RPC"
      }
    ]
  }
]

Authorizations

X-Access-Key
string
header
required

An API key is a token that a client provides when making API calls. The key can be sent as a request header:

curl 'https://api.tenderly.co/api/v1/account/${TENDERLY_ACCOUNT_SLUG}/project/${TENDERLY_PROJECT_SLUG}/simulate' \
  -H 'X-Access-Key: ${TENDERLY_ACCESS_KEY}' \
  ...

Learn how to generate API access tokens at Tenderly Docs.

Path Parameters

accountSlug
string
required

Account slug of the user

projectSlug
string
required

Project slug of the account

Query Parameters

keywords
string

Keywords to be searched

match_field
enum<string>
default:name

VNet field to match with keywords

Available options:
name,
slug
match_type
enum<string>
default:contains

VNet field matching type

Available options:
exact,
prefix,
suffix,
contains
statuses
enum<string>[]

VNet statuses

Available options:
running,
stopped,
cloning
networkIDs
string[]

List of network IDs

page
integer
default:1

Page number for pagination

Required range: x >= 1
per_page
integer
default:10

Number of VNets returned

Required range: x >= 1

Response

A successful response that returns the container.

id
string

ID of the Virtual Environment.

Example:

"4010f442-c4d9-407d-aba1-7276e3312998"

slug
string

Slug of the Virtual Environment (string of dash-separated alphanumerics).

Example:

"my-staging-vnet-2"

display_name
string

Display name of Virtual Environment

Example:

"Virtual Environment mainnet"

description
string

Description for Virtual Environment.

Example:

"Virtual Environment for mainnet"

fork_config
fork_config · object

Configuration of Virtual Environment fork

Example:
{
  "network_id": 1,
  "block_number": "0x12c50f0"
}
virtual_network_config
virtual_network_config · object

Configuration

Example:
{ "chain_config": { "chain_id": 1 } }
sync_state_config
sync_state_config · object

Configuration for sync state

Example:
{ "enabled": false }
explorer_page_config
explorer_page_config · object

Configuration for explorer page

Example:
{
  "enabled": false,
  "verification_visibility": "bytecode"
}
rpcs
rpcs · object[]

Rpc endpoints for Virtual Environment

Example:
[
  {
    "url": "https://virtual.mainnet.rpc.tenderly.co/7b7b53ee-611b-4d06-87ad-8f5606dfdc21",
    "name": "Admin RPC"
  }
]
Example:
[
  {
    "id": "7113fe5d-bc69-475c-bfd5-a2a720c14d56",
    "created_at": "2025-03-05T13:16:57.053068Z",
    "slug": "mainnet-vnet-895ca73c-5463-4d9e-99b0-91d329d180b8",
    "display_name": "Mainnet VNet",
    "status": "running",
    "fork_config": {
      "network_id": 1,
      "block_number": "0x14f66fe"
    },
    "virtual_network_config": {
      "base_fee_per_gas": 1,
      "chain_config": { "chain_id": 12345 },
      "accounts": [
        {
          "address": "0x8eC0845396287DF4393087DB3980960a20205E34"
        },
        {
          "address": "0xb1331Ac8E5bA5118d4a706721a621b668995c3F2"
        },
        {
          "address": "0xc1C3f49FF7a9959834c32f524cBD306727a1A118"
        },
        {
          "address": "0x54f28c96A6CaE1988972F4C679702D359F6E5006"
        },
        {
          "address": "0x61305B76f71Fd1ef1e640A442AF78aa8936ABFf1"
        },
        {
          "address": "0xC56d684024f86841f041e1307eafF246c2B1F2ab"
        },
        {
          "address": "0x1FB8Daa9d250D53272A25eCba531b1b0597ad736"
        },
        {
          "address": "0xAc8d39371D54DC79a8eb5aa39c9D34142Ee7e4CC"
        },
        {
          "address": "0x0fCf0d2804FafF47BC6b9680B022d10AdF4f3B8a"
        },
        {
          "address": "0x5E793A6C6dF1fE46dFfE5d915c2D37B817ab2745"
        }
      ]
    },
    "sync_state_config": {
      "enabled": true,
      "commitment_level": "latest"
    },
    "explorer_page_config": {
      "enabled": true,
      "verification_visibility": "src"
    },
    "rpcs": [
      {
        "url": "https://virtual.mainnet.rpc.tenderly.co/d4ebd179-0b69-4183-a7e5-0ccff97ae825",
        "name": "Admin RPC"
      },
      {
        "url": "wss://virtual.mainnet.rpc.tenderly.co/81ae872b-3f29-4b8b-8367-cfd89bd34433",
        "name": "Admin websocket RPC"
      },
      {
        "url": "https://virtual.mainnet.rpc.tenderly.co/d1ce85d2-e271-450e-abf9-61335263f248",
        "name": "Public RPC"
      },
      {
        "url": "wss://virtual.mainnet.rpc.tenderly.co/0195b85c-0dd6-4772-8d54-0c18e5dc6e78",
        "name": "Public websocket RPC"
      }
    ]
  }
]